package com.adventurer_engine.util.blockbench;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.adventurer_engine.util.IReadJsonable;
import com.adventurer_engine.util.JsonHelper;
import com.adventurer_engine.util.blockbench.BBModelAnimation;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

public class BBModelAnimator implements IReadJsonable {
  public String name;
  
  public String type;
  
  public List<BBModelAnimation.KeyFrame> positionChannel;
  
  public List<BBModelAnimation.KeyFrame> rotationChannel;
  
  public List<BBModelAnimation.KeyFrame> scaleChannel;
  
  public BBModelAnimator(JsonHelper json) {
    readJson(json);
  }
  
  public void readJson(JsonHelper json) {
    this.name = json.getString("name");
    this.type = json.getString("type");
    List<JsonHelper> keyFrames = json.getJsonList("keyframes");
    this.positionChannel = new ArrayList<BBModelAnimation.KeyFrame>();
    this.rotationChannel = new ArrayList<BBModelAnimation.KeyFrame>();
    this.scaleChannel = new ArrayList<BBModelAnimation.KeyFrame>();
    for (JsonHelper j : keyFrames) {
      BBModelAnimation.KeyFrame k = new BBModelAnimation.KeyFrame(j);
      if ("position".equals(k.channel))
        this.positionChannel.add(k); 
      if ("rotation".equals(k.channel))
        this.rotationChannel.add(k); 
      if ("scale".equals(k.channel))
        this.scaleChannel.add(k); 
    } 
    Collections.sort(this.positionChannel);
    Collections.sort(this.rotationChannel);
    Collections.sort(this.scaleChannel);
  }
}
